# Retrieve an account Retrieves basic information about a customer account. This operation is a quick retrieval that doesn't include the account's subscriptions, invoices, payments, or usage details. Use Get account summary to get more detailed information about an account. Endpoint: GET /v1/accounts/{account-key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `account-key` (string, required) Account number or account ID. ## Response 200 fields (application/json): - `basicInfo` (object) Container for basic information about the account. Notes: - In the "Retrieve an order" operation, if the getAccountDetails query parameter is set to true, the subscription owner account details subscriptionOwnerAccountDetails and invoice owner account details existingAccountDetails will be in the response. - In the "Retrieve a subscription by key" operation, the returned result differs based on the following query parameters: - If the getSubscriptionOwnerDetails query parameter is set to true, the subscription owner account details accountOwnerDetails will be in the response. - If the getInvoiceOwnerDetails query parameter is set to true, the invoice owner account details invoiceOwnerAccountDetails will be in the response. - If both query parameters are set to true, the subscription owner account details accountOwnerDetails and invoice owner account details invoiceOwnerAccountDetails will be in the response. - `basicInfo.accountNumber` (string) Account number. - `basicInfo.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `basicInfo.communicationProfileId` (string) The ID of the communication profile that this account is linked to. - `basicInfo.creditMemoTemplateId` (string) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. The unique ID of the credit memo template, configured in Billing Settings > Manage Billing Document Configuration through the Zuora UI. For example, 2c92c08a6246fdf101626b1b3fe0144b. - `basicInfo.crmId` (string) CRM account ID for the account, up to 100 characters. - `basicInfo.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `basicInfo.debitMemoTemplateId` (string) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. The unique ID of the debit memo template, configured in Billing Settings > Manage Billing Document Configuration through the Zuora UI. For example, 2c92c08d62470a8501626b19d24f19e2. - `basicInfo.id` (string) Account ID. - `basicInfo.invoiceTemplateId` (string,null) Invoice template ID, configured in Billing Settings in the Zuora UI. - `basicInfo.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you have the Reseller Account feature enabled, and set the partnerAccount field to false for an account, the value of the lastMetricsUpdate field is automatically set to null in the response. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `basicInfo.name` (string) Account name. - `basicInfo.notes` (string) Notes associated with the account, up to 65,535 characters. - `basicInfo.organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `basicInfo.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `basicInfo.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `basicInfo.profileNumber` (string) The number of the communication profile that this account is linked to. - `basicInfo.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `basicInfo.salesRep` (string) The name of the sales representative associated with this account, if applicable. Maximum of 50 characters. - `basicInfo.sequenceSetId` (string,null) The ID of the billing document sequence set that is assigned to the customer account. - `basicInfo.summaryStatementTemplateId` (string,null) The summary statement template ID. When a user attempts to generate a summary statement from the "Account Summary Statement" screen, the system utilizes this template to produce the PDF. - `basicInfo.status` (string) Account status; possible values are: Active, Draft, Canceled. - `basicInfo.tags` (string) - `basicInfo.Class__NS` (string) Value of the Class field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.CustomerType__NS` (string) Value of the Customer Type field for the corresponding customer account in NetSuite. The Customer Type field is used when the customer account is created in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Company", "Individual" - `basicInfo.Department__NS` (string) Value of the Department field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.IntegrationStatus__NS` (string) Status of the account's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.Location__NS` (string) Value of the Location field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.Subsidiary__NS` (string) Value of the Subsidiary field for the corresponding customer account in NetSuite. The Subsidiary field is required if you use NetSuite OneWorld. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.SyncDate__NS` (string) Date when the account was sychronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `basicInfo.SynctoNetSuite__NS` (string) Specifies whether the account should be synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Yes", "No" - `billToContact` (object) Container for bill-to contact information. - `billToContact.address1` (string) First address line, 255 characters or less. - `billToContact.address2` (string) Second address line, 255 characters or less. - `billToContact.asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `billToContact.asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `billToContact.asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `billToContact.city` (string) City - `billToContact.country` (string,null) Full country name. This field does not contain the ISO-standard abbreviation of the country name. - `billToContact.county` (string,null) Zuora Tax uses this information to calculate county taxation. - `billToContact.fax` (string) Fax phone number, 40 characters or less. - `billToContact.firstName` (string) First name, 100 characters or less. - `billToContact.homePhone` (string) Home phone number, 40 characters or less. - `billToContact.id` (string) ID of the person to bill for the account, 32 characters or less. - `billToContact.lastName` (string) Last name, 100 characters or less. - `billToContact.mobilePhone` (string) Mobile phone number, 40 characters or less. - `billToContact.nickname` (string) Nickname for this contact. - `billToContact.otherPhone` (string,null) Other phone number, 40 characters or less. - `billToContact.otherPhoneType` (string,null) Possible values are: Work, Mobile, Home, Other. - `billToContact.personalEmail` (string) Personal email address. - `billToContact.state` (string) Full state name. This field does not contain the ISO-standard abbreviation of the state name. - `billToContact.taxRegion` (string,null) A region string, defined in your Zuora tax rules. - `billToContact.workEmail` (string) Work email address, 80 characters or less. - `billToContact.workPhone` (string) Work phone number, 40 characters or less. - `billToContact.zipCode` (string) Zip code, 20 characters or less. - `billingAndPayment` (object) Container for billing and payment information for the account. - `billingAndPayment.additionalEmailAddresses` (array) A list of additional email addresses to receive email notifications. - `billingAndPayment.autoPay` (boolean) Whether future payments are automatically collected when they are due during a payment run. - `billingAndPayment.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `billingAndPayment.bcdSettingOption` (string) Bill cycle day setting option. Indicates whether the account’s bill cycle day is managed manually or automatically. - ManualSet: The bill cycle day is explicitly set to a specific day of the month (1–31). - AutoSet: The bill cycle day is automatically determined by Zuora. The bill cycle day is assigned when the first subscription is created for the account. This field is system-derived and read-only. Its value is automatically determined based on the billCycleDay field. Enum: "ManualSet", "AutoSet" - `billingAndPayment.currency` (string) A currency defined in the web-based UI administrative settings. - `billingAndPayment.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `billingAndPayment.invoiceDeliveryPrefsEmail` (boolean) Whether the customer wants to receive invoices through email. - `billingAndPayment.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `billingAndPayment.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `billingAndPayment.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the Account will use the Default Gateway. - `billingAndPayment.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, e.g., "Net 30". - `einvoiceProfile` (object) Container for e-invoicing profile information for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `einvoiceProfile.businessCategory` (string) The high-level category of the business. Enum: "B2B", "B2C", "B2G" - `einvoiceProfile.businessName` (string) The full official name that the Buyer is registered with the relevant legal authority. - `einvoiceProfile.businessNumber` (string) The unique identifier number of the legal entity or person that you do business with. For example, you must use a GSTIN for India. - `einvoiceProfile.businessNumberSchemeId` (string) The identification scheme identifier that an official registrar issues to identify the Buyer as a legal entity or person. - `einvoiceProfile.enabled` (boolean) Whether the e-invoicing profile for the customer account is enabled. If the following conditions are met, all billing documents for one account can be submitted to an e-invoicing service provider to be generated in electronic format: - The account must be configured to generate e-invoice files for billing documents. - The billing document must be in Posted status. - A business region must be created for the billing country contact, and be linked to an e-invoicing service provider. - `einvoiceProfile.endpointId` (string) The Buyer's electronic address, to which the application-level response to the billing document might be delivered. - `einvoiceProfile.endpointSchemeId` (string) The identification scheme identifier of the Buyer’s electronic address. - `einvoiceProfile.taxRegisterNumber` (string) The Buyer's VAT identifier (also known as the Buyer's VAT identification number) or the local identification (defined by the Buyer’s address) of the Buyer for tax purposes, or a reference that enables the Buyer to state the registered tax status. - `gatewayRoutingEligible` (boolean) Returns true if the applicable billing accounts were was processed successfully for gateway routing . - `metrics` (object) Container for account metrics of the account's default currency. If you have the Multiple Currencies feature enabled, the metricsData field provides account metrics of different currencies. - `metrics.balance` (string) The customer's total invoice balance minus credit balance. - `metrics.contractedMrr` (string) Future expected MRR that accounts for future upgrades, downgrades, upsells and cancellations. - `metrics.creditBalance` (string) Current credit balance. - `metrics.reservedPaymentAmount` (number) The Reserved Payment Amount of the customer account. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information. - `metrics.totalDebitMemoBalance` (string) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. Total balance of all posted debit memos. - `metrics.totalInvoiceBalance` (string) Total balance of all posted invoices. - `metrics.unappliedCreditMemoAmount` (string) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. Total unapplied amount of all posted credit memos. - `metrics.unappliedPaymentAmount` (string) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. Total unapplied amount of all posted payments. - `metricsData` (array) Container for account metrics of different currencies. Note: This field is available only if you have the Multiple Currencies feature enabled. - `metricsData.balance` (string) The total balance in this currency. - `metricsData.contractedMrr` (string) The future expected Monthly Recurring Revenue (MRR) in this currency, accounting for future upgrades, downgrades, upsells, and cancellations. - `metricsData.currency` (string) The currency that metrics are aggregated based on. - `metricsData.reservedPaymentAmount` (string) The reserved payment amount of the customer account in this currency. For more information, see Prepaid Cash with Drawdown. - `metricsData.totalDebitMemoBalance` (string) The total balance of all posted debit memos in this currency. Note: This field is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. - `metricsData.totalInvoiceBalance` (string) The total balance of all posted invoices in this currency. - `metricsData.unappliedCreditMemoAmount` (string) The total unapplied amount of all posted credit memos in this currency. - `metricsData.unappliedPaymentAmount` (string) The total unapplied amount of all posted payments in this currency. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `shipToContact` (object) Container for ship-to contact information. Uses the same field structure as billToContact. - `shipToContact.city` (string) City, 40 characters or less. - `shipToContact.county` (string) County; 32 characters or less. Zuora tax uses this information to calculate county taxation. - `shipToContact.id` (string) ID of the person who bought the subscription associated with the account, 32 characters or less. - `soldToContact` (object) Container for sold-to contact information. Uses the same field structure as billToContact. - `success` (boolean) Returns true if the request was processed successfully. - `taxInfo` (object) Container for tax exempt information, used to establish the tax exempt status of a customer account. - `taxInfo.VATId` (string) EU Value Added Tax ID. - `taxInfo.companyCode` (string) Unique code that identifies a company account in Avalara. - `taxInfo.exemptCertificateId` (string) ID of the customer tax exemption certificate. - `taxInfo.exemptCertificateType` (string) Type of tax exemption certificate that the customer holds. - `taxInfo.exemptDescription` (string) Description of the tax exemption certificate that the customer holds. - `taxInfo.exemptEffectiveDate` (string) Date when the customer tax exemption starts. - `taxInfo.exemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. This account-level field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/)for more details. - `taxInfo.exemptExpirationDate` (string) Date when the customer tax exemption expires. - `taxInfo.exemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `taxInfo.exemptStatus` (string) Status of the account tax exemption. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.